<form method='post'
    {% if edit %}
        action="{% url 'profile:admin_paket_edit' id=id %}"
    {% else %}
        action="{% url 'profile:admin_paket_create' %}"
    {% endif %}>

   
    {% csrf_token %}
    
    {% if edit %}
        <input type="hidden" name="id" value="{{ aidi }}">
    {% endif %}
    <input type="hidden" id="is_edit" value="{{ edit }}">
    <div class="form-row">
        <div class="form-group col-md-4">
            <label for="{{ form.jenis.id_for_label }}">Jenis Paket</label>
            <select class="form-control" name="{{ form.jenis.name }}" onChange="Pilih_Paket(this);"
                {% if form.jenis.field.required %}required{% endif %}>
                    <option value="">-- Pilih Jenis Paket --</option>
                    {% for dt in kategori %}
                        <option value="{{ dt.slug }}" {% if form.jenis.value == dt.slug %} selected="selected" {% endif %}>
                            {{ dt.nama }}
                        </option>
                    {% endfor %}
            </select>
        </div>
        <div class="form-group col-md-8">
            <label for="id_kode_paket">Kode Paket</label>
            <input type="text" placeholder="Masukkan Kode Paket..." readonly
                class="form-control {% if form.kode.errors %}is-invalid{% endif %}"
                name="{{ form.kode.name }}"
                id="id_kode_paket" 
                maxlength="{{ form.kode.field.max_length }}"
                {% if edit %}
                    {% if form.kode.value != None %}value="{{ form.kode.value }}"{% endif %}
                {% else %}
                    value=""
                {% endif %}
                {% if form.kode.field.required %}required{% endif %}>
            {% if form.kode.errors %}
                <div class="invalid-feedback">
                    {{ form.kode.errors }}
                </div>
            {% endif %}
        </div>
        <div class="form-group col-md-12">
            <label for="{{ form.nama.id_for_label }}">Nama Paket</label>
            <input type="text" placeholder="Masukkan Nama Paket..."
                class="form-control {% if form.nama.errors %}is-invalid{% endif %}"
                name="{{ form.nama.name }}"
                id="{{ form.nama.id_for_label }}" 
                maxlength="{{ form.nama.field.max_length }}"
                {% if edit %}
                    {% if form.nama.value != None %}value="{{ form.nama.value }}"{% endif %}
                {% else %}
                    value=""
                {% endif %}
                {% if form.nama.field.required %}required{% endif %}>
            {% if form.nama.errors %}
                <div class="invalid-feedback">
                    {{ form.nama.errors }}
                </div>
            {% endif %}
        </div>
    </div>

    <div class="form-row">
        <div class="form-group col-md-4">
            <label for="{{ form.harga.id_for_label }}">Harga Paket</label>
            <div class="input-group">
                <input type="text" placeholder="Masukkan Harga Paket..."
                    class="form-control {% if form.harga.errors %}is-invalid{% endif %}"
                    name="{{ form.harga.name }}"
                    id="{{ form.harga.id_for_label }}" 
                    maxlength="{{ form.harga.field.max_length }}"
                    {% if edit %}
                        {% if form.harga.value != None %}value="{{ form.harga.value }}"{% endif %}
                    {% else %}
                        value=""
                    {% endif %}
                    {% if form.harga.field.required %}required{% endif %}>
                {% if form.harga.errors %}
                    <div class="invalid-feedback">
                        {{ form.harga.errors }}
                    </div>
                {% endif %}
                <div class="input-group-append">
                    <span class="input-group-text">
                        <label style="margin-bottom:0px; cursor:pointer;"> 
                            <input type="checkbox" class="{% if form.is_idr.errors %}is-invalid{% endif %}"
                                name="{{ form.is_idr.name }}" id="idr_checkbox" onClick="getCeked()"
                                {% if edit %}
                                    {% if form.is_idr.value != None %}value="{{ form.is_idr.value }}"{% endif %}
                                {% else %}
                                    value=""
                                {% endif %}
                                {% if form.is_idr.field.required %}required{% endif %}> IDR
                        </label>
                    </span>
                </div>
            </div>
        </div>
        <div class="form-group col-md-4">
            <label for="{{ form.durasi.id_for_label }}">Durasi / Keterangan</label>
            <input type="text" placeholder="Masukkan Durasi..."
                class="form-control {% if form.durasi.errors %}is-invalid{% endif %}"
                name="{{ form.durasi.name }}"
                id="{{ form.durasi.id_for_label }}" 
                maxlength="{{ form.durasi.field.max_length }}"
                {% if edit %}
                    {% if form.durasi.value != None %}value="{{ form.durasi.value }}"{% endif %}
                {% else %}
                    value=""
                {% endif %}
                {% if form.durasi.field.required %}required{% endif %}>
            {% if form.durasi.errors %}
                <div class="invalid-feedback">
                    {{ form.durasi.errors }}
                </div>
            {% endif %}
        </div>
        <div class="form-group col-md-4">
            <label for="id_is_favorit">Favorit</label>
            <select class="form-control" id="id_is_favorit" name="{{ form.is_favorit.name }}" 
                data-value="{{ form.is_favorit.value }}">
                <option value="False">Tidak</option>
                <option value="True">Ya</option>
            </select>
        </div>
    </div>

    <div class="form-row">
        <div class="form-group col-md-4">
            <label for="id_status">Status</label>
            <select class="form-control" id="id_status" name="{{ form.status.name }}"
                data-value="{{ form.status.value }}">
                <option value="True">Publish</option>
                <option value="False">Unpublish</option>
            </select>
        </div>
    </div>

    <button type="submit" class="btn btn-success"><i class="bi bi-save"></i> Simpan</button>
    <a href="{% url 'profile:admin_paket' %}"> 
        <button type="button" class="btn btn-warning"><i class="bi bi-arrow-left-square"></i> Batal</button>
    </a>
</form>

